import database from "../database";

export default class ModelGeneric extends database.Model {

    constructor(tableName, modelSchema, hasTimestamps = false) {
        super();
        this.tableName = tableName;
        this.modelSchema = modelSchema;
        this.hasTimestamps = hasTimestamps;
    }

    get tableName() {
        return this.tableName;
    }

    get hasTimestamps() {
        return this.hasTimestamps;
    }

    get modelSchema() {
        return this.modelSchema;
    }

}
